Get data blocks
Retrieve input and output data blocks for a session
Retrieve all data blocks associated with a specific session. Data blocks contain the input data provided when creating the session and output data generated during flow execution.
Endpoint
GET /api/v1/{environment}/sessions/{sessionId}/datablocks
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
sessionId | string | Yes | The unique identifier of the session |
environment | String | Yes | Environment name |
Request
No request body is required for this endpoint.
Headers
| Header | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Bearer token for authentication |
Response
{
"dataBlocks": [
{
"datablockId": "4d720f95-1548-47fc-8f78-5bec27c24865",
"type": "basicIdentity",
"createdBy": {
"stepId": "START",
"clock": 1
},
"createdAt": "2026-02-26T22:27:53.206Z",
"status": "STORED",
"content": {
"familyName": "Max",
"givenName": "Mustermann",
"birthDate": "1990-03-24"
}
},
{
"datablockId": "a735739c-bb7b-4ee3-8012-1ca22a8131a0",
"type": "documentData",
"createdBy": {
"stepId": "ab3e5980-0dc8-4e97-b4bc-76168d2b4e5d",
"clock": 3
},
"createdAt": "2026-02-26T22:32:55.174Z",
"status": "STORED",
"content": {
"documentType": "ID",
"documentNumber": "123",
"expiryDate": "2037-08-12",
"issuanceDate": "2025-08-12",
"issuingCountry": "FR",
"issuingAuthority": "FRA"
}
},
{
"datablockId": "dde5a247-b33e-4f58-bcf6-dba1a3ec18ca",
"type": "documentVerification",
"createdBy": {
"stepId": "ab3e5980-0dc8-4e97-b4bc-76168d2b4e5d",
"clock": 3
},
"createdAt": "2026-02-26T22:32:55.213Z",
"status": "STORED",
"content": {
"verdict": {
"status": "VERIFIED",
"reason": "Data was modified during verification"
},
"issues": [],
"report": {
"$ref": "vault",
"$id": "48b99c09-8747-4ef0-9692-6bd24c089c72"
}
}
},
{
"datablockId": "fb550055-6fb3-4c61-93b7-34f57d49a6ea",
"type": "outcomeStatus",
"createdBy": {
"stepId": "END-ACCEPT",
"clock": 4
},
"createdAt": "2026-02-26T22:32:55.693Z",
"status": "STORED",
"content": { ... }
}
]
}
Response parameters
| Parameter | Type | Description |
|---|---|---|
dataBlocks | array | Array of data block objects |
All data blocks include these fields:
| Field | Type | Description |
|---|---|---|
datablockId | string | Unique identifier of the data block (UUID) |
type | string | Type of data block (e.g., basicIdentity, documentVerification) |
createdBy.stepId | string | Unique identifier of the step that created this data block (optional) |
createdBy.clock | integer | A monotonic clock that indicates when this data block was produced (optional) |
createdAt | string | ISO 8601 timestamp when data block was created |
status | string | Status of the data block (STORED or DELETED) |
content | object | null | The data block content. Will be null if the data block is deleted |
info
For a complete list of available data block types and their schemas, see Core concepts: Data blocks.
Example
curl https://api.eu.platform.idnow.io/api/v1/live/sessions/0197c55f-5af6-7e3d-af9b-f2359b104be8/datablocks \
-H "Authorization: Bearer YOUR_API_KEY"
Notes
- Data blocks are sorted by
createdAttimestamp by default - Both input data blocks (provided at session creation) and output data blocks (generated during execution) are returned
- Data blocks are linked to the steps that created them via the
createdByfield - All access attempts are logged for auditability and compliance